Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLUnstructuredGridReader Class Reference

`#include <vtkXMLUnstructuredGridReader.h>`

Inheritance diagram for vtkXMLUnstructuredGridReader:

[legend]
Collaboration diagram for vtkXMLUnstructuredGridReader:

[legend]
List of all members.

## Detailed Description

Read VTK XML UnstructuredGrid files.

Date:
  2003/02/07 20:06:29

Revision:
  1.2

vtkXMLUnstructuredGridReader reads the VTK XML UnstructuredGrid file format. One unstructured grid file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vtu". This reader is also used to read a single piece of the parallel file format.

See also:
  vtkXMLPUnstructuredGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (93%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLUnstructuredGridReader.cxx)`
  - .`h` (`/IO/vtkXMLUnstructuredGridReader.h)`

Definition at line 49 of file vtkXMLUnstructuredGridReader.h.

## Public Types
typedef vtkXMLUnstructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkUnstructuredGrid *output)
vtkUnstructuredGrid * | GetOutput ()
vtkUnstructuredGrid * | GetOutput (int idx)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLUnstructuredGridReader * | SafeDownCast (vtkObject *o)
vtkXMLUnstructuredGridReader * | New ()
## Protected Methods
| vtkXMLUnstructuredGridReader ()
| ~vtkXMLUnstructuredGridReader ()
const char * | GetDataSetName ()
void | GetOutputUpdateExtent (int &piece, int &numberOfPieces, int &ghostLevel)
void | SetupOutputTotals ()
void | SetupPieces (int numPieces)
void | DestroyPieces ()
void | SetupOutputData ()
int | ReadPiece (vtkXMLDataElement *ePiece)
void | SetupNextPiece ()
int | ReadPieceData ()
int | ReadArrayForCells (vtkXMLDataElement *da, vtkDataArray *outArray)
## Protected Attributes
vtkIdType | StartCell
vtkXMLDataElement ** | CellElements
vtkIdType * | NumberOfCells

## Member Typedef Documentation

typedef vtkXMLUnstructuredDataReader vtkXMLUnstructuredGridReader::Superclass

| Reimplemented from vtkXMLUnstructuredDataReader. Definition at line 52 of file vtkXMLUnstructuredGridReader.h.

## Constructor & Destructor Documentation

vtkXMLUnstructuredGridReader::vtkXMLUnstructuredGridReader | ( |  | ) | `[protected]`

vtkXMLUnstructuredGridReader::~vtkXMLUnstructuredGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLUnstructuredGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

int vtkXMLUnstructuredGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLUnstructuredDataReader.

virtual int vtkXMLUnstructuredGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLUnstructuredDataReader.

vtkXMLUnstructuredGridReader* vtkXMLUnstructuredGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLUnstructuredGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLUnstructuredDataReader.

vtkXMLUnstructuredGridReader* vtkXMLUnstructuredGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLUnstructuredGridReader::SetOutput | ( | vtkUnstructuredGrid * | output | ) |

| Get/Set the reader's output.

vtkUnstructuredGrid* vtkXMLUnstructuredGridReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

vtkUnstructuredGrid* vtkXMLUnstructuredGridReader::GetOutput | ( | int | idx | ) |

| Get/Set the reader's output. Reimplemented from vtkSource.

const char* vtkXMLUnstructuredGridReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLUnstructuredGridReader::GetOutputUpdateExtent | ( | int & | piece,
|  | int & | numberOfPieces,
|  | int & | ghostLevel
| ) | `[protected, virtual]`

| Implements vtkXMLUnstructuredDataReader.

void vtkXMLUnstructuredGridReader::SetupOutputTotals | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLUnstructuredGridReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLUnstructuredGridReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLUnstructuredGridReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

int vtkXMLUnstructuredGridReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLUnstructuredGridReader::SetupNextPiece | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

int vtkXMLUnstructuredGridReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

int vtkXMLUnstructuredGridReader::ReadArrayForCells | ( | vtkXMLDataElement * | da,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

## Member Data Documentation

vtkIdType vtkXMLUnstructuredGridReader::StartCell`[protected]`

| Definition at line 83 of file vtkXMLUnstructuredGridReader.h.

vtkXMLDataElement** vtkXMLUnstructuredGridReader::CellElements`[protected]`

| Definition at line 86 of file vtkXMLUnstructuredGridReader.h.

vtkIdType* vtkXMLUnstructuredGridReader::NumberOfCells`[protected]`

| Definition at line 87 of file vtkXMLUnstructuredGridReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLUnstructuredGridReader.h